Loading...
Searching...
No Matches
RDKit::TopologicalTorsion Namespace Reference

## Classes

class | TopologicalTorsionArguments
class | TopologicalTorsionAtomEnv
class | TopologicalTorsionEnvGenerator

## Functions

template<typename OutputType >
RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator< OutputType > * | getTopologicalTorsionGenerator (bool includeChirality=false, uint32_t torsionAtomCount=4, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, bool countSimulation=true, std::uint32_t fpSize=2048, std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, bool ownsAtomInvGen=false)
| Get the Topological Torsion Generator object.
template<typename OutputType >
FingerprintGenerator< OutputType > * | getTopologicalTorsionGenerator (const TopologicalTorsionArguments &args, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, const bool ownsAtomInvGen=false)
| overload

## Function Documentation

## getTopologicalTorsionGenerator() [1/2]

template<typename OutputType >

RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator< OutputType > * RDKit::TopologicalTorsion::getTopologicalTorsionGenerator | ( | bool | includeChirality = `false`,
|  | uint32_t | torsionAtomCount = `4`,
|  | AtomInvariantsGenerator * | atomInvariantsGenerator = `nullptr`,
|  | bool | countSimulation = `true`,
|  | std::uint32_t | fpSize = `2048`,
|  | std::vector< std::uint32_t > | countBounds = `{1, 2, 4, 8}`,
|  | bool | ownsAtomInvGen = `false`
| ) |  |

Get the Topological Torsion Generator object.

Template Parameters

  OutputType | determines the size of the bitIds and the result, can only be 64 bit unsigned integer for this type

Parameters

  includeChirality | includeChirality argument for both the default atom invariants generator and the fingerprint arguments
  torsionAtomCount | the number of atoms to include in the "torsions"
  atomInvariantsGenerator | custom atom invariants generator to use
  useCountSimulation | if set, use count simulation while generating the fingerprint
  countBounds | boundaries for count simulation, corresponding bit will be set if the count is higher than the number provided for that spot
  fpSize | size of the generated fingerprint, does not affect the sparse versions
  ownsAtomInvGen | if set atom invariants generator is destroyed with the fingerprint generator

/return FingerprintGenerator<OutputType>* that generates topological-torsion fingerprints

This generator supports the following `AdditionalOutput` types:

- `atomToBits` : which bits each atom is involved in
- `atomCounts` : how many bits each atom sets
- `bitPaths` : map from bitId to vectors of atom indices

## getTopologicalTorsionGenerator() [2/2]

template<typename OutputType >

FingerprintGenerator< OutputType > * RDKit::TopologicalTorsion::getTopologicalTorsionGenerator | ( | const TopologicalTorsionArguments & | args,
|  | AtomInvariantsGenerator * | atomInvariantsGenerator = `nullptr`,
|  | const bool | ownsAtomInvGen = `false`
| ) |  |

overload